PDA

View Full Version : Include only needed libs in ext 3.0



alex1981
8 Mar 2010, 2:18 AM
Hi everyone, is there a way to include only the file i need to run the widgets I've choosen (like in Ext 2.0) ?

The problem is that I use only a subset of the components provided and I don't want that a user will download the entire library while accessing my pages.

many thanks

Condor
8 Mar 2010, 2:44 AM
Unfortunately, there is no 'Build your own' page for Ext 3, so you'll have to do it manually.

Download JSBuilder2 (http://www.extjs.com/products/jsbuilder/) and create a .jsb2 file for your application (usually by modifying the existing ext.jsb2).